summaryrefslogtreecommitdiff
path: root/lib/keyringer/actions/options
diff options
context:
space:
mode:
Diffstat (limited to 'lib/keyringer/actions/options')
-rwxr-xr-xlib/keyringer/actions/options30
1 files changed, 30 insertions, 0 deletions
diff --git a/lib/keyringer/actions/options b/lib/keyringer/actions/options
new file mode 100755
index 0000000..8508aea
--- /dev/null
+++ b/lib/keyringer/actions/options
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# Recipient management.
+#
+
+# Load functions
+LIB="`dirname $0`/../functions"
+source "$LIB" || exit 1
+
+# Command parser
+keyringer_get_command "$2"
+
+# Create options file if old repository
+if [ ! -e "$OPTIONS" ]; then
+ echo "Creating options file..."
+ touch "$OPTIONS"
+ keyringer_exec git "$BASEDIR" add config/options
+fi
+
+if [ "$COMMAND" == "ls" ]; then
+ cat "$OPTIONS"
+elif [ "$COMMAND" == "edit" ]; then
+ "$EDITOR" "$OPTIONS"
+elif [ "$COMMAND" == "add" ]; then
+ shift 2
+ echo $* >> "$OPTIONS"
+else
+ printf "%s: No such command %s\n" "$BASENAME" "$COMMAND"
+ exit 1
+fi